<?php include('./config.php');?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>转换考勤数据 <?php echo $version;?></title>
<style>
body {
	background-color: #EEE;
	font-size:12px;
}
body,input,button {
	font-family: 'Microsoft Yahei';
}
h1 span {
	font-size:14px;
	font-weight:normal;
}
.label {
	height: 32px;
	line-height: 24px;
}
input,select {
	outline: none;
}
input.value {
	width: 40px;
	text-align: center;
	border: 1px solid #CCC;
}
input.underLine {
	border-left: none;
	border-top: none;
	border-right: none;
}
input.file {
	background-color: #CCC;
}
form {
	position: absolute;
	left: 50%;
	top: 50%;
}
.continer {
	background-color: #FFF;
	width: 740px;
	border: 1px solid #B7B7B7;
	border-radius: 5px;
	padding: 20px 30px;
	position: absolute;
	left: -400px;
	top: -270px;
	box-shadow: 0 0 25px #C5C5C5;
}
button {
	float: right;
}
a {
	text-decoration: none;
	color: #C00;
}
.msg {
	line-height:180%;
	color:#999;
}
.dataDemoImg {
	position: absolute;
	border: 1px solid #CCC;
	box-shadow: 0 0 35px #000;
	display: none;
}
.yg {
	left: 155px;
	top: 35px;
}
.zx {
	left: -45px;
	top: 35px;
}
.kd {
	left: -112px;
	top: 40px;
}
.xm {
	left: -60px;
	top: 240px;
}
</style>
</head>
<body>
	<?php
	$time=time();
	$year = date('Y',$time);
	$month = date('m',$time)-1;
	if(!$month){
		$month = 12;
		$year--;
	}
	?>
	<script src="jquery.min.js"></script>
	<form action="" method="post" enctype="multipart/form-data">
		<div class="continer">
			<h1>转换考勤数据 <span><?php echo $version;?></span></h1>
			<div class="label">
				考勤标题：
				<input type="text" class="value underLine" name="year"  value="<?php echo $year; ?>" />年
				<input type="text" class="value underLine" name="month" value="<?php echo $month;?>" />月_<?php
				?><input type="text" class="value underLine" name="title" value="鸿卓国际考勤表" style="width:100px;"/>
			</div>
			<div class="label">
				员工信息：
				<input type="file" name="file00" class="file" />
				(仅统计此表中的员工)
				<a href="dl.php?f=yg" data-type="yg">下载示例</a>
			</div>
			<div>
				<div class="label">
					中心考勤：
					<input type="file" name="file01" class="file" />
					<select name="file01type">
						<option value="rongke" selected="selected">融科款考勤机</option>
						<option value="keda">科大款考勤机</option>
						<option value="xiangmubu">项目部款考勤机</option>
					</select>
					<a href="dl.php?f=zx" data-type="zx">下载示例</a>
				</div>
				<div class="label">
					科大考勤：
					<input type="file" name="file02" class="file" />
					<select name="file02type">
						<option value="rongke">融科款考勤机</option>
						<option value="keda" selected="selected">科大款考勤机</option>
						<option value="xiangmubu">项目部款考勤机</option>
					</select>
					<a href="dl.php?f=kd" data-type="kd">下载示例</a>
				</div>
				<div class="label">
					项目考勤：
					<input type="file" name="file03" class="file" />
					<select name="file03type">
						<option value="rongke">融科款考勤机</option>
						<option value="keda">科大款考勤机</option>
						<option value="xiangmubu" selected="selected">项目部款考勤机</option>
					</select>
					<a href="dl.php?f=xm" data-type="xm">下载示例</a>
				</div>
			</div>
			<div class="label">上月累休： <input type="file" class="file" name="unRestDay" /> (上个月导出的表，公式需要转换为数值)</div>
			<!-- <div class="label">休假人员： <input type="text" name="addStaff" style="width:465px;" placeholder="用空格分隔姓名，如：张小三 李小四 王小五" /></div> -->
			<div class="label">考勤时间：
				<label><input type="radio" name="workType" value="summer" />夏</label>
				<label><input type="radio" name="workType" value="winter" checked="checked" />冬</label>
			</div>
			<div class="label">
				<button type="submit">已设置好，开始转换</button>
			</div>
			<div class="msg">
				<div><strong>考勤时间及源数据要求：</strong></div>
				<div>　　1、员工信息表中没有某人，但是某人有考勤记录依然无视此人，不统计该人考勤</div>
				<div>　　2、员工信息表中有某人，但是某人没有考勤记录统计该人考勤，结果全为“休”</div>
				<div style="color:#666;">　　3、多个考勤表中都有同一个人的考勤记录时，请确保只有一个源数据中有此人</div>
				<div>　　4、员工信息表与考勤源数据中名字不一致时将统计不到数据，比如“李琦琦”与“李琪琪”</div>
				<?php
				foreach ($summerWorkTime as $key => $value) {
					foreach ($value as $k => $v) {
						$summerWorkTime[$key][$k] = date('H:i',$v);
					}
				}
				foreach ($winterWorkTime as $key => $value) {
					foreach ($value as $k => $v) {
						$winterWorkTime[$key][$k] = date('H:i',$v);
					}
				}
				?>
				<div>　　　融科款：夏 <?php echo implode(' ',$summerWorkTime['中心']);?>   / 冬 <?php echo implode(' ',$winterWorkTime['中心']);?>　 B列姓名，D列日期，E列打卡记录</div>
				<div>　　　科大款：夏 <?php echo implode(' ',$summerWorkTime['科大']);?>   / 冬 <?php echo implode(' ',$winterWorkTime['科大']);?>　 B列姓名，D列日期和打卡时间，每人N行（N=打卡次数）</div>
				<div>　　项目部款：夏 <?php echo implode(' ',$summerWorkTime['项目部']);?> / 冬 <?php echo implode(' ',$winterWorkTime['项目部']);?>　 2+4n行姓名，4+4n行打卡记录，4行为一组，n>=0</div>
			</div>
			<img class="dataDemoImg yg" src="images/yg.gif" alt="员工信息" />
			<img class="dataDemoImg zx" src="images/zx.gif" alt="中心考勤" />
			<img class="dataDemoImg kd" src="images/kd.gif" alt="科大考勤" />
			<img class="dataDemoImg xm" src="images/xm.gif" alt="项目部考勤" />
		</div>
	</form>
	<script>
	$(function(){
		$('button').click(function(){
			var y = $('input[name="year"]').val();
			var m = $('input[name="month"]').val();
			var t = $('input[name="title"]').val();
			if(y=="" || m == "" || t == "") return false;
			$('form').attr('action', 'do.php');
			$('form').submit();
			$(this).attr('disabled',"true")
			$(this).text('正在转换，不要刷新，注意弹出的保存框，再次转换请刷新页面')
			$(this).delay(5000).removeAttr('disabled');
		});
		$('.label a').hover(function(){
			var type = $(this).data('type');
			$('.dataDemoImg.'+type).show();
		},function(){
			$('.dataDemoImg').hide();
		});
		$('.dataDemoImg').hover(function(){
			$(this).show();
		},function(){
			$(this).hide();
		});
	});
	</script>
</body>
</html>